''' 
    Title: gg_scoreboard
    Version: 1.3
    Description: shows gungame level on scoreboard.
'''
# ==============================================================================
#   IMPORTS
# ==============================================================================
# Python imports
import gamethread

# EventScripts imports
import es

# GunGame imports
import gungamelib

# ==============================================================================
#   ADDON REGISTRATION
# ==============================================================================
# Register this addon with EventScripts
info = es.AddonInfo()
info.name     = 'Scoreboard Addon for GunGame5'
info.version  = '1.3'
info.url      = ''
info.basename = 'gungame/custom_addons/gg_scoreboard'
info.author   = 'addem1234 (help from PitBull0993)'

# ==============================================================================
#   GAME EVENTS
# ==============================================================================
def load():
	addon = gungamelib.registerAddon('gg_scoreboard')
	addon.setDisplayName('GG Scoreboard')
	
	global useest
	useest = es.ServerVar('gg_scoreboard_useest')
	
def unload():
	gungamelib.unregisterAddon('gg_scoreboard')
	
def player_spawn(event_var):
	setkills(event_var['userid'], gungamelib.getPlayer(event_var['userid'])['level'])
	
def player_death(event_var):
	if event_var['attacker'] == 0:
		return
	
	setkills(event_var['userid'], gungamelib.getPlayer(event_var['userid'])['level'])
	setkills(event_var['attacker'], gungamelib.getPlayer(event_var['attacker'])['level'])
	
def gg_leveldown(event_var):
	setkills(event_var['userid'], event_var['new_level'])
	
def gg_levelup(event_var):
	setkills(event_var['userid'], event_var['new_level'])
	
def gg_win(event_var):
	winleet = es.ServerVar('gg_scoreboard_winleet')
	if winleet != 0:
		setkills(event_var['userid'], winleet)
	
# ==============================================================================
#   HELPER FUNCTIONS
# ==============================================================================
def setkills(userid, level=""):
	if not es.exists('userid', userid):
		return
	if gungamelib.getGlobal('isWarmup'):
		return
	
	if level == "":
		level = gungamelib.getPlayer(userid)['level']
	
	global useest
	if useest == 0:
		es.server.queuecmd('score set %s %s' % (userid, level))
	else:
		es.server.queuecmd('est_killset %s %s' % (userid, level))
	
	gamethread.delayed(0.1, setkills,(userid))